package com.welldyne.common.frameworks.exceptionhandling;

/**
 * 
 * @author nilofarmew
 *
 */
public enum ErrorCode {

	GENERAL,
	NOT_FOUND,
	MEMBER_NOT_FOUND_FOR_REGISTRATION,
	SAME_ACCOUNT_EXISTS,
	ANOTHER_ACCOUNT_EXISTS,
	USERNAME_ALREADY_IN_USE,
	USERNAME_BEING_UPDATED,
	ACCOUNT_NOT_VERIFIED,
	INVALID_USERNAME,
	INVALID_CODE,
	INVALID_CREDENTIALS,
	UPDATE_FAILED,
	ADD_FAILED,
	PRESCRIPTION_CANNOT_BE_REFILLED,
	PRESCRIPTION_ALREADY_REFILLED,
	TERMED_COVERAGE_DURING_REGISTRATION,
	PRESCRIPTION_ALREADY_IN_CART,
	PRESCRIPTION_RENEWAL_ALREADY_REQUESTED,
	CANCEL_ORDER_ALREADY_REQUESTED,
	INCIDENT_ALREADY_REPOPRTED,
	TRANSFER_TO_MAIL_ORDER_ALREADY_REQUESTED,
	S3_UPLOAD_FAILED,
	EMAIL_ALREADY_IN_USE,
	CREATE_ORDER_FAILED,
	CREATE_ORDER_POST_PROCESSING_FAILED,
	INVALID_OLD_PASSWORD,
	NO_AVAILABLE_PRESCRIPTIONS,
	ADD_ADDRESS_FAILED,
	UPDATE_ADDRESS_FAILED,
	INVALID_ADDRESS,
	NO_DEFAULT_ADDRESS_FOUND_FOR_USER,
	ERROR_FETCHING_PHARMACIES,
	TRIAL_CLAIM_ERROR,
	GET_DRUG_STRUCTURE_ERROR,
	PRESCRIPTION_EXPIRED,
	PRESCRIPTION_NOT_IN_STATE_TO_REFILL,
	CARD_TYPE_NOT_FOUND,
	INVALID_PHONE,
	CAG_NOT_ENABLED_FOR_REGISTRATION,
	USER_NEEDS_TO_REGISTER_AGAIN,
	REDIRECT_USER_TO_OLD_PORTAL,
	USERRNAME_VALID_FOR_OLD_PORTAL,
	SAML_REQUEST_CREATION_FAILED,
	DRUG_CONTROLLED_PRESCRIPTION,
	SSO_NOT_ENABLED_FOR_GROUP,
	NOT_AUTHORIZED

}
